OGRE-Next: Ogre::RotationAffector Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Attributes | List of all members
Ogre::RotationAffector Class Reference

This plugin subclass of ParticleAffector allows you to alter the rotation of particles. More...

`#include <OgreRotationAffector.h>`

Inheritance diagram for Ogre::RotationAffector:
[legend]

## Classes
class | CmdRotationRangeEnd
| Command object for particle emitter - see ParamCommand. More...
class | CmdRotationRangeStart
| Command object for particle emitter - see ParamCommand. More...
class | CmdRotationSpeedRangeEnd
| Command object for particle emitter - see ParamCommand. More...
class | CmdRotationSpeedRangeStart
| Command object for particle emitter - see ParamCommand. More...

## Public Member Functions
| RotationAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| See ParticleAffector.
void | _initParticle (Particle *pParticle) override
| See ParticleAffector.
const Radian & | getRotationRangeEnd () const
| Gets the maximum rotation of particles to be emitted.
const Radian & | getRotationRangeStart () const
| Gets the minimum rotation of particles to be emitted.
const Radian & | getRotationSpeedRangeEnd () const
| Gets the maximum rotation speed of particles to be emitted.
const Radian & | getRotationSpeedRangeStart () const
| Gets the minimum rotation speed of particles to be emitted.
void | setRotationRangeEnd (const Radian &angle)
| Sets the maximum rotation angle of particles to be emitted.
void | setRotationRangeStart (const Radian &angle)
| Sets the minimum rotation angle of particles to be emitted.
void | setRotationSpeedRangeEnd (const Radian &angle)
| Sets the maximum rotation speed of particles to be emitted.
void | setRotationSpeedRangeStart (const Radian &angle)
| Sets the minimum rotation speed of particles to be emitted.
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
const String & | getType () const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
virtual void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary ()
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary () const
virtual String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters () const
| Retrieves a list of parameters valid for this object.
virtual bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
virtual void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdRotationRangeEnd | msRotationRangeEndCmd
static CmdRotationRangeStart | msRotationRangeStartCmd
static CmdRotationSpeedRangeEnd | msRotationSpeedRangeEndCmd
static CmdRotationSpeedRangeStart | msRotationSpeedRangeStartCmd

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This plugin subclass of ParticleAffector allows you to alter the rotation of particles.

Remarks
  This class supplies the ParticleAffector implementation required to make the particle expand or contract in mid-flight.

## Constructor & Destructor Documentation

## ◆ RotationAffector()

Ogre::RotationAffector::RotationAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::RotationAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

See ParticleAffector.

Implements Ogre::ParticleAffector.

## ◆ _initParticle()

void Ogre::RotationAffector::_initParticle | ( | Particle * | pParticle | ) |
| overridevirtual

See ParticleAffector.

Reimplemented from Ogre::ParticleAffector.

## ◆ getRotationRangeEnd()

const Radian & Ogre::RotationAffector::getRotationRangeEnd | ( |  | ) | const

Gets the maximum rotation of particles to be emitted.

## ◆ getRotationRangeStart()

const Radian & Ogre::RotationAffector::getRotationRangeStart | ( |  | ) | const

Gets the minimum rotation of particles to be emitted.

## ◆ getRotationSpeedRangeEnd()

const Radian & Ogre::RotationAffector::getRotationSpeedRangeEnd | ( |  | ) | const

Gets the maximum rotation speed of particles to be emitted.

## ◆ getRotationSpeedRangeStart()

const Radian & Ogre::RotationAffector::getRotationSpeedRangeStart | ( |  | ) | const

Gets the minimum rotation speed of particles to be emitted.

## ◆ setRotationRangeEnd()

void Ogre::RotationAffector::setRotationRangeEnd | ( | const Radian & | angle | ) |

Sets the maximum rotation angle of particles to be emitted.

## ◆ setRotationRangeStart()

void Ogre::RotationAffector::setRotationRangeStart | ( | const Radian & | angle | ) |

Sets the minimum rotation angle of particles to be emitted.

## ◆ setRotationSpeedRangeEnd()

void Ogre::RotationAffector::setRotationSpeedRangeEnd | ( | const Radian & | angle | ) |

Sets the maximum rotation speed of particles to be emitted.

## ◆ setRotationSpeedRangeStart()

void Ogre::RotationAffector::setRotationSpeedRangeStart | ( | const Radian & | angle | ) |

Sets the minimum rotation speed of particles to be emitted.

## Member Data Documentation

## ◆ msRotationRangeEndCmd

CmdRotationRangeEnd Ogre::RotationAffector::msRotationRangeEndCmd
| static

## ◆ msRotationRangeStartCmd

CmdRotationRangeStart Ogre::RotationAffector::msRotationRangeStartCmd
| static

## ◆ msRotationSpeedRangeEndCmd

CmdRotationSpeedRangeEnd Ogre::RotationAffector::msRotationSpeedRangeEndCmd
| static

## ◆ msRotationSpeedRangeStartCmd

CmdRotationSpeedRangeStart Ogre::RotationAffector::msRotationSpeedRangeStartCmd
| static

The documentation for this class was generated from the following file:

- OgreRotationAffector.h